<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml">
	<g:column sortBy="#{'timeStamp'}">
		<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.TimeStamp']}</ui:define>
		<h:outputText value="#{currentMessage.timeStamp}">
			<s:convertDateTime dateStyle="full" type="both" />
		</h:outputText>
	</g:column>
	<g:column sortBy="#{'transaction.keyword'}"
		filterBy="#{'transaction.keyword'}" filterEvent="onkeyup">
		<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Transaction_2']}</ui:define>
		<h:outputText value="#{currentMessage.transaction.keyword}" />
	</g:column>
	<g:column sortBy="#{'affinityDomain.keyword'}"
		filterBy="#{'affinityDomain.keyword'}" filterEvent="onkeyup">
		<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.AffinityDomain']}</ui:define>
		<h:outputText value="#{currentMessage.affinityDomain.labelToDisplay}" />
	</g:column>
	<g:column sortBy="#{'messageType'}" filterBy="#{'messageType'}"
		filterEvent="onkeyup">
		<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.MessageType_2']}</ui:define>
		<h:outputText value="#{currentMessage.messageType}" />
	</g:column>
	<g:column sortBy="#{'receivedMessageContent.messageType'}">
		<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Request']}</ui:define>
		<s:div rendered="#{(currentMessage.receivedMessageContent != null)}">
			<h:panelGrid columns="4">
				<s:div
					rendered="#{currentMessage.receivedMessageContent.validationResult == null}">
					<a4j:commandLink
							title="#{messages['net.ihe.gazelle.xdstar.Validate']}"
							actionListener="#{messageManagerBean.selectAndValidate(currentMessage, 'Request')}"
							oncomplete="jq162('#validationPanel').modal('show');"
							execute="@this"
							render="validationPanelDiv,#{tableId}">
						<span class="gzl-icon-forward"/>
					</a4j:commandLink>
				</s:div>
				<s:div
					rendered="#{currentMessage.receivedMessageContent.validationResult != null}">

					<a4j:commandLink
                            title="#{messages['net.ihe.gazelle.xdstar.ValidationResult']}"
                            actionListener="#{messageManagerBean.setSelectedMessageAndPanel(currentMessage, 'Request')}"
                            oncomplete="jq162('#validationPanel').modal('show');"
                            execute="@this"
                            rendered="#{!currentMessage.receivedMessageContent.validationResult}"
                            render="validationPanelDiv,#{tableId}">
						<span class="gzl-icon-times"/>
					</a4j:commandLink>
					<a4j:commandLink
                            title="#{messages['net.ihe.gazelle.xdstar.ValidationResult']}"
                            actionListener="#{messageManagerBean.setSelectedMessageAndPanel(currentMessage, 'Request')}"
                            oncomplete="jq162('#validationPanel').modal('show');"
                            execute="@this"
                            rendered="#{currentMessage.receivedMessageContent.validationResult}"
                            render="validationPanelDiv">
						<span class="gzl-icon-checked"/>
					</a4j:commandLink>
				</s:div>
				<gdk:spacer width="5px" />
				<h:outputText
					value="#{currentMessage.receivedMessageContent.messageType.value}" />
			</h:panelGrid>
		</s:div>
	</g:column>
	<g:column sortBy="#{'sentMessageContent.messageType'}">
		<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Response']}</ui:define>
		<s:div rendered="#{(currentMessage.sentMessageContent != null)}">
			<h:panelGrid columns="4">
				<s:div
					rendered="#{currentMessage.sentMessageContent.validationResult == null}">
					<a4j:commandLink
							title="#{messages['net.ihe.gazelle.xdstar.Validate']}"
							actionListener="#{messageManagerBean.selectAndValidate(currentMessage, 'Response')}"
							oncomplete="jq162('#validationPanel').modal('show');"
							execute="@this"
							render="validationPanelDiv,#{tableId}">
						<span class="gzl-icon-forward"/>
					</a4j:commandLink>
				</s:div>
				<s:div
					rendered="#{currentMessage.sentMessageContent.validationResult != null}">

					<a4j:commandLink
                            title="#{messages['net.ihe.gazelle.xdstar.ValidationResult']}"
                            actionListener="#{messageManagerBean.setSelectedMessageAndPanel(currentMessage, 'Response')}"
                            oncomplete="jq162('#validationPanel').modal('show');"
                            execute="@this"
                            rendered="#{!currentMessage.sentMessageContent.validationResult}"
                            render="validationPanelDiv,#{tableId}">
						<span class="gzl-icon-times"/>
					</a4j:commandLink>
					<a4j:commandLink
                            title="#{messages['net.ihe.gazelle.xdstar.ValidationResult']}"
                            actionListener="#{messageManagerBean.setSelectedMessageAndPanel(currentMessage, 'Response')}"
                            oncomplete="jq162('#validationPanel').modal('show');"
                            execute="@this"
                            rendered="#{currentMessage.sentMessageContent.validationResult}"
                            render="validationPanelDiv">
						<span class="gzl-icon-checked"/>
					</a4j:commandLink>
				</s:div>
				<gdk:spacer width="5px" />
				<h:outputText
					value="#{currentMessage.sentMessageContent.messageType.value}" />
			</h:panelGrid>
		</s:div>
	</g:column>
	<g:column id="validate">
		<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</ui:define>
			<h:panelGrid columns="3">
				<a4j:commandLink
						actionListener="#{messageManagerBean.selectMessageToDisplayAndInitPanel(currentMessage)}"
						oncomplete="jq162('#modalPanel').modal('show');"
						execute="@this"
						render="modalPanelDiv">
					<span class="gzl-icon-search"/>
				</a4j:commandLink>
				<gdk:spacer width="5" />
				<a4j:commandLink
						title="#{messages['net.ihe.gazelle.xdstar.Validate']}"
						actionListener="#{messageManagerBean.selectAndValidate(currentMessage, 'Request')}"
						oncomplete="jq162('#validationPanel').modal('show');"
						execute="@this"
						render="validationPanelDiv,#{tableId}">
					<span class="gzl-icon-play"/>
				</a4j:commandLink>
			</h:panelGrid>
	</g:column>

</ui:composition>
